# Individual Rewards

Retrieve reward data for individual users — their earnings, ranking position, and payout history.

| Reward type                                                     | Page                  | SDK methods                                                                     |
| --------------------------------------------------------------- | --------------------- | ------------------------------------------------------------------------------- |
| [Tokens](/developer-guide/getting-individual-rewards/tokens.md) | Onchain token rewards | `getPayoutsLeaderboard`, `getUserPayoutsByConversion`, `getUserPayoutMovements` |
| [Points](/developer-guide/getting-individual-rewards/points.md) | Point rewards         | `getPointsLeaderboard`, `getUserPointsByConversion`, `getUserPointsMovements`   |

{% hint style="info" %}
Rewards data is updated hourly. Recent conversions and payouts will appear within a maximum of one hour.
{% endhint %}

{% hint style="info" %}
For totals across all conversions, use `getPayoutTotals` ([API reference](https://fuul.readme.io/reference/getuserpayouttotals)).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fuul.xyz/developer-guide/getting-individual-rewards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
